# Plugin

| Name                   | Type                                                                                                                    | Description                                    |
| ---------------------- | ----------------------------------------------------------------------------------------------------------------------- | ---------------------------------------------- |
| actionMenu             | List ([PluginActionMenuItem](/developer/api-reference/types/pluginactionmenuitem.md))                                   |                                                |
| authType               | String                                                                                                                  |                                                |
| authenticated          | Boolean                                                                                                                 |                                                |
| classes                | List (String)                                                                                                           |                                                |
| componentName          | String                                                                                                                  |                                                |
| description            | String                                                                                                                  |                                                |
| dynamicComponents      | List ([DynamicComponent](https://github.com/bunnyapp/docs-developer/blob/main/api-reference/types/dynamiccomponent.md)) |                                                |
| enabled                | Boolean                                                                                                                 |                                                |
| enabledOnlyForUser     | [User](/developer/api-reference/types/user.md)                                                                          |                                                |
| enabledOnlyForUserId   | ID                                                                                                                      |                                                |
| entities               | List ([Entity](/developer/api-reference/types/entity.md))                                                               |                                                |
| entityIds              | List (ID)                                                                                                               |                                                |
| entitySelectionEnabled | Boolean                                                                                                                 |                                                |
| externalUsers          | List ([ExternalUser](/developer/api-reference/types/externaluser.md))                                                   | External platform users linked via this plugin |
| guid                   | String                                                                                                                  |                                                |
| helplink               | String                                                                                                                  |                                                |
| hidden                 | Boolean                                                                                                                 |                                                |
| id                     | ID                                                                                                                      |                                                |
| logo                   | String                                                                                                                  |                                                |
| name                   | String                                                                                                                  |                                                |
| pluginDefinition       | [PluginDefinition](/developer/api-reference/types/plugindefinition.md)                                                  |                                                |
| pluginDefinitionId     | ID                                                                                                                      |                                                |
| pluginVendor           | [PluginVendor](/developer/api-reference/types/pluginvendor.md)                                                          |                                                |
| pluginVendorId         | ID                                                                                                                      |                                                |
| status                 | [PluginStatus](/developer/api-reference/enums.md#pluginstatus)                                                          |                                                |
| summary                | String                                                                                                                  |                                                |
| type                   | [PluginType](/developer/api-reference/enums.md#plugintype)                                                              |                                                |
| userIsolation          | Boolean                                                                                                                 |                                                |
| uuid                   | String                                                                                                                  |                                                |
| webhookUrl             | String                                                                                                                  |                                                |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/plugin.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
